Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class BarcodeDatamatrix.ReedSolomon

    java.lang.Object
      com.lowagie.text.pdf.BarcodeDatamatrix.ReedSolomon

Enclosing class:
  BarcodeDatamatrix

    static class BarcodeDatamatrix.ReedSolomon

extends Object

Field Summary
`private static int[]` | `alog`
`private static int[]` | `log`
`private static int[]` | `poly10`
`private static int[]` | `poly11`
`private static int[]` | `poly12`
`private static int[]` | `poly14`
`private static int[]` | `poly18`
`private static int[]` | `poly20`
`private static int[]` | `poly24`
`private static int[]` | `poly28`
`private static int[]` | `poly36`
`private static int[]` | `poly42`
`private static int[]` | `poly48`
`private static int[]` | `poly5`
`private static int[]` | `poly56`
`private static int[]` | `poly62`
`private static int[]` | `poly68`
`private static int[]` | `poly7`

Constructor Summary
`BarcodeDatamatrix.ReedSolomon()`

Method Summary
`(package private) static void` | `generateECC(byte[] wd, int nd, int datablock, int nc)`
`private static int[]` | `getPoly(int nc)`
`private static void` | `reedSolomonBlock(byte[] wd, int nd, byte[] ncout, int nc, int[] c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final int[] log

### alog

    private static final int[] alog

### poly5

    private static final int[] poly5

### poly7

    private static final int[] poly7

### poly10

    private static final int[] poly10

### poly11

    private static final int[] poly11

### poly12

    private static final int[] poly12

### poly14

    private static final int[] poly14

### poly18

    private static final int[] poly18

### poly20

    private static final int[] poly20

### poly24

    private static final int[] poly24

### poly28

    private static final int[] poly28

### poly36

    private static final int[] poly36

### poly42

    private static final int[] poly42

### poly48

    private static final int[] poly48

### poly56

    private static final int[] poly56

### poly62

    private static final int[] poly62

### poly68

    private static final int[] poly68

Constructor Detail

### BarcodeDatamatrix.ReedSolomon

    BarcodeDatamatrix.ReedSolomon()

Method Detail

### getPoly

    private static int[] getPoly(int nc)

### reedSolomonBlock

    private static void reedSolomonBlock(byte[] wd,
                                         int nd,
                                         byte[] ncout,
                                         int nc,
                                         int[] c)

### generateECC

    static void generateECC(byte[] wd,
                            int nd,
                            int datablock,
                            int nc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD